# Retrieve the transactions

Retrieve the transactions across all accounts for the given cycle date.

Endpoint: GET /transactions/{date}
Version: 1.0.0
Security: bearer-jwt

## Security:

  - `bearer-jwt` (unknown)
    http bearer JWT

## Path parameters:

  - `date` (string, required)
    The cycle date for which the transactions are requested

## Header parameters:

  - `API-Version` (string)

## Response 200:

  - `200` (unknown)
    Successful stream of transactions. IMPORTANT: The transactions are returned in NDJSON format (one transaction json object per line), not as an array.

## Response 200 fields (application/x-ndjson):

  - `referenceNumber` (string, required)
    The transaction reference number.
    Example: 7434495GE9WRQ9QVE

  - `type` (string, required)
    The transaction type.
    Enum: "Authorization", "AuthorizationAdjustment", "Sale", "CashAdvance", "Return", "MerchandiseSaleReversal", "CashAdvanceReversal", "ReturnReversal", "MerchandiseSaleAmountAdjustment", "CashAdvanceAmountAdjustment", "ReturnAmountAdjustment", "Payment", "PaymentReversal", "PaymentAmountAdjustment", "Adjustment", "CashAdvanceItemChargeRefund", "LatefeeRefund", "MerchandiseFinanceChargeRefund", "CashAdvanceFinanceChargeRefund", "BackdatedPaymentAdjustment", "MerchandiseItemChargeRefund", "OverLimitChargeRefund", "CreditInsuranceFeeRefund", "BackdateCashAdvanceandSalesAdjustment", "SmallBalanceChargeOff", "ChargeOffTotalAccount", "ChargeOffCashAdvanceInterest", "ChargeOffBilledLateCharges", "ChargeOffMerchandiseInterestandServiceCharge", "ChargeOffCreditInsurance", "ChargeOffAllFinanceCharges", "ChargeOffAllCurrentCashAdvanceInterest", "ChargeOffAllCurrentMerchandiseInterest", "ChargeOffCycleToDateLateCharges", "ChargeOffBilledCashAdvanceItemCharges", "ChargeOffBilledMerchandiseItemCharges", "ChargeOffBilledOverLimitFee", "ChargeOffCycleToDateCashAdvanceItemCharges", "ChargeOffCycleToDateMerchandiseItemCharges", "ChargeOffCycleToDateOverLimitFees", "AccountTransfer", "NotSpecified"

  - `sys` (string, required)
    The 4 digit sys of the account.
    Example: 6161

  - `prin` (string, required)
    The 4 digit prin of the account.
    Example: 0000

  - `agent` (string, required)
    The 4 digit agent of the account.
    Example: 1000

  - `account` (object, required)

  - `account.id` (string, required)
    The 64 characters account identifier.
    Example: f2ca1bb6c7e907d06dafe4687e579fce76b37e4e93b7605022da52e6ccc26fd2

  - `account.number` (string, required)
    The 16 digit account number.
    Example: 1234567890123456

  - `cardAccount` (any)
    The optional card account associated with this transaction.

  - `amount` (number, required)
    The transaction amount in US Dollars.
    Example: 28.35

  - `date` (string, required)
    The transaction date.
    Example: 2023-01-01

  - `postedDate` (string, required)
    The date the transaction was posted.
    Example: 2023-01-02

  - `cycleDate` (string, required)
    The cycle date assoicated with the transaction.
    Example: 2023-01-02

  - `merchant` (any)
    The optional merchant associated with the transaction.

  - `merchant.name` (string | null)
    The optional merchant name.
    Example: MUSEO OPERA SANTA CROCE

  - `merchant.category` (string | null)
    The optional merchant category code (4 digit MCC).
    Example: 7997

  - `merchant.description` (string | null)
    The optional merchant description.
    Example: MUSEO OPERA SANTA CROCE  FIRENZE      IT

  - `merchant.location` (any)

  - `merchant.location.city` (string | null)
    The optional merchant city.
    Example: FIRENZE

  - `merchant.location.state` (string | null)
    The optional merchant state.
    Example: IT

  - `merchant.location.country` (string | null)
    The optional merchant country in ISO 3166-1 alpha-3 format.
    Example: ITA

  - `exchangeInfo` (any)
    The optional exchange information associated with the transaction (for foreign currency transactions).

  - `exchangeInfo.currency` (object, required)

  - `exchangeInfo.currency.code` (string, required)
    ISO-3 Currency code
    Example: EUR

  - `exchangeInfo.currency.name` (string, required)
    Currency name
    Example: Euro

  - `exchangeInfo.amount` (number, required)
    Amount in foreign currency
    Example: 24.2

  - `exchangeInfo.exchangeRate` (number | null)
    Exchange rate from USD to foreign currency
    Example: 1.171487603

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/x-ndjson):

  - `type` (string)
    The URI of the problem type
    Example: urn:raipartners:api

  - `title` (string)
    The title of the problem
    Example: Bad Request

  - `status` (integer)
    The status code of the problem
    Example: 400

  - `detail` (string)
    The details of the problem
    Example: One or more required fields are missing.

  - `instance` (string)
    The instance of the problem
    Example: /account/12345/errors/abc-987

  - `properties` (object)
    extra properties to enhance information about the problem

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/x-ndjson):

  - `type` (string)
    The URI of the problem type
    Example: urn:raipartners:api

  - `title` (string)
    The title of the problem
    Example: Bad Request

  - `status` (integer)
    The status code of the problem
    Example: 400

  - `detail` (string)
    The details of the problem
    Example: One or more required fields are missing.

  - `instance` (string)
    The instance of the problem
    Example: /account/12345/errors/abc-987

  - `properties` (object)
    extra properties to enhance information about the problem

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 fields (application/x-ndjson):

  - `type` (string)
    The URI of the problem type
    Example: urn:raipartners:api

  - `title` (string)
    The title of the problem
    Example: Bad Request

  - `status` (integer)
    The status code of the problem
    Example: 400

  - `detail` (string)
    The details of the problem
    Example: One or more required fields are missing.

  - `instance` (string)
    The instance of the problem
    Example: /account/12345/errors/abc-987

  - `properties` (object)
    extra properties to enhance information about the problem

## Response 404:

  - `404` (unknown)
    not found.

## Response 404 fields (application/x-ndjson):

  - `type` (string)
    The URI of the problem type
    Example: urn:raipartners:api

  - `title` (string)
    The title of the problem
    Example: Bad Request

  - `status` (integer)
    The status code of the problem
    Example: 400

  - `detail` (string)
    The details of the problem
    Example: One or more required fields are missing.

  - `instance` (string)
    The instance of the problem
    Example: /account/12345/errors/abc-987

  - `properties` (object)
    extra properties to enhance information about the problem

## Response 500:

  - `500` (unknown)
    Internal Server Error.

## Response 500 fields (application/x-ndjson):

  - `type` (string)
    The URI of the problem type
    Example: urn:raipartners:api

  - `title` (string)
    The title of the problem
    Example: Bad Request

  - `status` (integer)
    The status code of the problem
    Example: 400

  - `detail` (string)
    The details of the problem
    Example: One or more required fields are missing.

  - `instance` (string)
    The instance of the problem
    Example: /account/12345/errors/abc-987

  - `properties` (object)
    extra properties to enhance information about the problem

## Response 503:

  - `503` (unknown)
    Service unavailable.

## Response 503 fields (application/x-ndjson):

  - `type` (string)
    The URI of the problem type
    Example: urn:raipartners:api

  - `title` (string)
    The title of the problem
    Example: Bad Request

  - `status` (integer)
    The status code of the problem
    Example: 400

  - `detail` (string)
    The details of the problem
    Example: One or more required fields are missing.

  - `instance` (string)
    The instance of the problem
    Example: /account/12345/errors/abc-987

  - `properties` (object)
    extra properties to enhance information about the problem

## Response 400 examples:

  - `Generic invalid data` (unknown)
    Generic invalid data

  - `Generic missing data` (unknown)
    Generic missing data

## Response 401 examples:

  - `Unauthorized` (unknown)
    Unauthorized

## Response 403 examples:

  - `Forbidden` (unknown)
    Forbidden

## Response 404 examples:

  - `Not found` (unknown)
    Not found

## Response 500 examples:

  - `Internal server error` (unknown)
    Internal server error

## Response 503 examples:

  - `Service unavailable` (unknown)
    Service unavailable

